royale-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Piotr Zarzycki <piotrzarzyck...@gmail.com>
Subject Re: installing royale 0.9.2 sdk
Date Tue, 24 Apr 2018 15:16:38 GMT
Mandeep,

I just downloaded Royale 9.2 with SWF, JS support. Point "\royale-asjs\" in
Moonshine, created project and build as JavaScript. Everything went smooth
without any problem. If you pont FLEX_HOME to Apache Flex SDK not AIR SDK
itself you should be good.

Other option is to download JS only version and point in the Moonshine it
should also work.

Piotr

2018-04-24 16:54 GMT+02:00 Mandeep Sarma <muverydeep@gmail.com>:

> for the benefit of others as I'm not going to look at this for a while:
>
> *So you have Flex SDK downloaded somewhere ? *Yes, I tried the binary,
> the source and even the nightly builds
>
> *Setup environment variable to FLEX_HOME and AIR_HOME to flex folder: *AIR_HOME
> = yes. AIR AIR_HOME = D:\AdobeAIRSDK. 've use AIR for a long time, that's
> where it's always been.
>
> FLEX_HOME = "I took a guess" I searched but I could never find what the
> value is, or which values it should have. I took a stab at it and set a
> windows environment variable to the Flex SDK directory:royale-asjs
>
> *And try again point to the SDK in your IDE*: Flash builder does not see
> directory royale-asjs as an SDK.
> RE for SWF output playerglobal.swc I have both 11.1 and 11.7. Adobe AIR
> SDK I downloaded the one without the new compiler.
>
> ant script InstallAdobeSDKs.xml: for me it never found AdobeAIRSDK.zip in
> the Downloads directory, even though it was there.
>
> as for moonshine 1.11 (by this time I might have messed things up trying
> to get ant to execute the build script) it's looking for a jar file in the
> wrong location.
>
> scripts look for it in a directory "x\0.0\" I put 11.7 there
>
>
> : Compiling test004
> : Using Royale Compiler codebase: D:\apache-royale-0.9.2\royale-
> compiler\compiler-jx
> : Using Royale SDK: D:\apache-royale-0.9.2\royale-asjs
> : Error: Unable to access jarfile D:\apache-royale-0.9.2\royale-
> compiler\compiler-jx\js\lib\mxmlc.jar
>
> On Tue, Apr 24, 2018 at 1:08 AM, Piotr Zarzycki <piotrzarzycki21@gmail.com
> > wrote:
>
>> Hi Mandeep,
>>
>> So you have Flex SDK downloaded somewhere ?
>>
>> Setup environment variable to FLEX_HOME and AIR_HOME to flex folder.
>>
>> And try again point to the SDK in your IDE.
>> Additionally I really recommend you to use IDE which fully supports
>> Royale - Moonshine or VSCode. You won't loose so much time.
>>
>> Thanks,
>> Piotr
>>
>>
>> On Tue, Apr 24, 2018, 5:20 AM Mandeep Sarma <muverydeep@gmail.com> wrote:
>>
>>> the instructions to install js/swf sdk on Windows 10 in the wiki don't
>>> work nor the instructions in the readme file.
>>> maven gives errors
>>> ant gives errors -> the file AdobeAIRSDK.zip is in the Downloads
>>> directory (
>>>
>>> FYI I tried both the binary and tried to build from source
>>>
>>> I spent my weekend + today on this, I'm tapping out.
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>> On Mon, Apr 23, 2018 at 1:43 PM, Mandeep Sarma <muverydeep@gmail.com>
>>> wrote:
>>>
>>>> thx for the replies, I have tried the instructions for the
>>>> royale-asjs/wiki (Windows 10)  but I get an error "FLEX_HOME bust be set
to
>>>> use the flex Ant Tasks"
>>>> Flex_Home is this a Windows' system environment variable or is it in
>>>> one of the build files?
>>>>
>>>> On Mon, Apr 23, 2018 at 1:36 PM, Carlos Rovira <carlosrovira@apache.org
>>>> > wrote:
>>>>
>>>>> Along Piotr link another one for new comers is
>>>>>
>>>>> https://royale.apache.org/getting-started/
>>>>>
>>>>> best
>>>>>
>>>>> 2018-04-23 19:24 GMT+02:00 Piotr Zarzycki <piotrzarzycki21@gmail.com>:
>>>>>
>>>>>> Hi Mandeep,
>>>>>>
>>>>>> There is an instruction on Royale Wiki [1]. Try it out and let us
>>>>>> know!
>>>>>>
>>>>>> [1] https://github.com/apache/royale-asjs/wiki/Flash-Builder-4.7
>>>>>>
>>>>>> Thanks,
>>>>>> Piotr
>>>>>>
>>>>>> 2018-04-23 19:01 GMT+02:00 Mandeep Sarma <muverydeep@gmail.com>:
>>>>>>
>>>>>>> are there any current instruction on how to install apache royale
>>>>>>> 0.9.2?
>>>>>>> when I download apache royale 0.9.2 for JS and Flash Application
and
>>>>>>> I try to connect the sdk to Flash Builder I get an error: Directory
does
>>>>>>> not contain a Flex SDK
>>>>>>>
>>>>>>>
>>>>>>> <http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
Virus-free.
>>>>>>> www.avg.com
>>>>>>> <http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
>>>>>>> <#m_-5755518296116259630_m_2453612797171967118_m_2826010170729892046_m_5636038334424300603_m_5484214928565285694_m_1380017741582606790_m_8560578421807809862_DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
>>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>>
>>>>>> Piotr Zarzycki
>>>>>>
>>>>>> Patreon: *https://www.patreon.com/piotrzarzycki
>>>>>> <https://www.patreon.com/piotrzarzycki>*
>>>>>>
>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Carlos Rovira
>>>>> http://about.me/carlosrovira
>>>>>
>>>>>
>>>>
>>>
>


-- 

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*

Mime
View raw message